Subject: Re: [bug#50862] [PATCHESv4] KDE updates

From: phodina <[email-masked]>
Date: Thu, 01 Sep 2022 08:03:28 +0000

Hi Marius,

that's good news.

Have you been able to run full Plasma session?

I expect there are some missing descriptions of the packages in the newest commits.

Also I enabled more optional packages than might be necessary in some cases. This applies more to plasma-workspace and plasma-desktop. Maybe we can create minimal and full version of these packages. What do you think?

Maybe we can split the gnu/system/examples/desktop.tmpl file into multiple based on the environment. Instead of adding additional one?

But that's just my view as developer who had to rebuild the packages multiple times and also due to update of wayland-protocols it triggered rebuilds of the other DEs. Onced merged and built it will be fast if the user enables substitutes. Only downside is the disk space.

One last thing. I tried to remove the failing tests and rerun them. However, due to multiple updates over time it might be good to do it again or with the next update of the packages (release of KDE) :-)

----
Petr

Sent from ProtonMail mobile

-------- Original Message --------
On Aug 31, 2022, 11:10 PM, Marius Bakke wrote:

> phodina via Guix-patches via  skriver: >> > Do you know who would be the best reviewer for these patches? >> >> >> Perhaps Hartmut Goebel? I think they had been involved in attempts of >> packaging KDE in the past. I've added them in CC in case they'd like to >> get involved, but no obligations, of course. > > Thanks. To ease up the effort the patches submitted here are only the stable ones. > > There is one commit 688434fb9ad79e82d5e85ce9b36e9b064628879c (!!DELETE gnu: Add wayland-protocols 1.26.) - result in massive rebuild and is important in other projects as well. So either add it or delete if it's already in master. This is excellent work, thanks a lot Brendan and Petr! I have tested these patches and they seem to work fine; and just in time because the KDE update is required on the 'staging' branch. I'm currently reading through the patches and expect to merge today or tomorrow. :-)